routes/web.php
<?php
use App\Mail\mailme;


Route::get('/', 'Controller@index');

// Authentication Routes...
$this->get('login', 'Auth\LoginController@showLoginForm')->name('auth.login');
$this->post('login', 'Auth\LoginController@login')->name('auth.login');
$this->post('logout', 'Auth\LoginController@logout')->name('auth.logout');

// Change Password Routes...
$this->get('change_password', 'Auth\ChangePasswordController@showChangePasswordForm')->name('auth.change_password');
$this->patch('change_password', 'Auth\ChangePasswordController@changePassword')->name('auth.change_password');

// Password Reset Routes...
$this->get('password/reset', 'Auth\ForgotPasswordController@showLinkRequestForm')->name('auth.password.reset');
$this->post('password/email', 'Auth\ForgotPasswordController@sendResetLinkEmail')->name('auth.password.reset');
$this->get('password/reset/{token}', 'Auth\ResetPasswordController@showResetForm')->name('password.reset');
$this->post('password/reset', 'Auth\ResetPasswordController@reset')->name('auth.password.reset');

Route::group(['middleware' => ['auth'], 'prefix' => 'admin', 'as' => 'admin.'], function () {
    Route::get('/dashboard', function () { return redirect('/admin/home'); });
    Route::get('/home', 'HomeController@index');
    Route::resource('roles', 'Admin\RolesController');
    Route::post('roles_mass_destroy', ['uses' => 'Admin\RolesController@massDestroy', 'as' => 'roles.mass_destroy']);
    
    Route::resource('users', 'Admin\UsersController');
    Route::post('users_mass_destroy', ['uses' => 'Admin\UsersController@massDestroy', 'as' => 'users.mass_destroy']);
    
    Route::resource('salles', 'Admin\SallesController');
    Route::post('salles_mass_destroy', ['uses' => 'Admin\SallesController@massDestroy', 'as' => 'salles.mass_destroy']);
    
    Route::resource('appointments', 'Admin\AppointmentsController');
    Route::post('appointments_mass_destroy', ['uses' => 'Admin\AppointmentsController@massDestroy', 'as' => 'appointments.mass_destroy']);
    
    Route::resource('prix', 'PrixController');
    Route::resource('type', 'TypeEntrepriseController');
    Route::resource('timing', 'TimingController');
    
   // Route::get('/demandes', 'DemandeController@index');
});

Route::resource('demandes', 'DemandeController');

resources/views/partials/head.blade.php
<meta charset="utf-8">
<title>
    Reservation le 15
</title>

<meta http-equiv="X-UA-Compatible"
      content="IE=edge">
<meta content="width=device-width, initial-scale=1.0"
      name="viewport"/>
<meta http-equiv="Content-type"
      content="text/html; charset=utf-8">
<meta name="csrf-token" content="{{ csrf_token() }}">
<link href="http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700&subset=all"
      rel="stylesheet"
      type="text/css"/>
<link rel="stylesheet"
      href="{{ url('quickadmin/css') }}/font-awesome.min.css"/>
<link rel="stylesheet"
      href="{{ url('quickadmin/css') }}/bootstrap.min.css"/>
<link rel="stylesheet"
      href="{{ url('quickadmin/css') }}/components.css"/>
<link rel="stylesheet"
      href="{{ url('quickadmin/css') }}/quickadmin-layout.css"/>
<link rel="stylesheet"
      href="{{ url('quickadmin/css') }}/quickadmin-theme-default.css"/>
<link rel="stylesheet"
      href="{{ url('quickadmin/css') }}/select2.min.css"/>
<link rel="stylesheet"
      href="https://code.jquery.com/ui/1.11.3/themes/smoothness/jquery-ui.css">
<link rel="stylesheet"
      href="{{ asset('css/jquery.datatable.min.css')}}"/>
<link rel="stylesheet"
      href="{{ asset('css/datatables.css')}}"/>
<link rel="stylesheet"
      href="{{ asset('css/buttonsDatatables.css')}}"/>
<link rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/jquery-ui-timepicker-addon/1.4.5/jquery-ui-timepicker-addon.min.css"/>
<link rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.5.0/css/bootstrap-datepicker.standalone.min.css"/>
<link rel="stylesheet"
      href="{{ asset('css/buttonTop.css')}}"/>      

resources/views/partials/header.blade.php
<div class="page-header-inner">
    <div class="page-header-inner">
        <div class="navbar-header">
            <a href="{{ url('/') }}"
               class="navbar-brand">
            
               <span> <img src="http://localhost:8000/images/logo.svg" width="38px" height="30px">
            
            Réservation le 15</span>
            </a>
        </div>
        <a href="javascript:;"
           class="menu-toggler responsive-toggler"
           data-toggle="collapse"
           data-target=".navbar-collapse">
        </a>
        @guest
        <li class="nav-item">
            <a class="nav-link" href="/admin/login">{{ __('Login') }}</a>
        </li>
        @else
        <div class="top-menu">
            <ul class="nav navbar-nav pull-right">
                <li class="navbar-brand">
                    <i class="fa fa-user-circle-o" aria-hidden="true">
                    {{ Auth::user()->name }} </i> 
                </li>
            </ul>
        </div>
        @endguest
    </div>
</div>

resources/views/partials/javascripts.blade.php
<script src="//code.jquery.com/jquery-1.11.3.min.js"></script>
<script src="//cdn.datatables.net/1.10.9/js/jquery.dataTables.min.js"></script>
<script src="//cdn.datatables.net/buttons/1.2.4/js/dataTables.buttons.min.js"></script>
<script src="//cdn.datatables.net/buttons/1.2.4/js/buttons.flash.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jszip/2.5.0/jszip.min.js"></script>
<script src="https://cdn.rawgit.com/bpampuch/pdfmake/0.1.18/build/pdfmake.min.js"></script>
<script src="https://cdn.rawgit.com/bpampuch/pdfmake/0.1.18/build/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/1.2.4/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.2.4/js/buttons.print.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.2.4/js/buttons.colVis.min.js"></script>
<script src="https://cdn.datatables.net/select/1.2.0/js/dataTables.select.min.js"></script>
<script src="https://code.jquery.com/ui/1.11.3/jquery-ui.min.js"></script>
<script src="{{ url('quickadmin/js') }}/bootstrap.min.js"></script>
<script src="{{ url('quickadmin/js') }}/select2.full.min.js"></script>
<script src="{{ url('quickadmin/js') }}/main.js"></script>


<script>
    window._token = '{{ csrf_token() }}';
</script>



@yield('javascript')

resources/views/partials/sidebar.blade.php
@inject('request', 'Illuminate\Http\Request')
<div class="page-sidebar-wrapper">
    <div class="page-sidebar navbar-collapse collapse">
        <ul class="page-sidebar-menu"
            data-keep-expanded="false"
            data-auto-scroll="true"
            data-slide-speed="200">

            @can('salle_access')
            <li class="{{ $request->segment(1) == 'home' ? 'active' : '' }}">
                <a href="{{ url('/admin/home') }}">
                    <i class="fa fa-tachometer"></i>
                    <span class="title">@lang('quickadmin.qa_dashboard')</span>
                </a>
            </li>
            @endcan
           

            @can('appointment_access')
            <li class="{{ $request->segment(2) == 'appointments' ? 'active' : '' }}">
                <a href="{{ route('admin.appointments.index') }}">
                    <i class="fa fa-calendar"></i>
                    <span class="title">Gestion Des Reservations</span>
                </a>
            </li>
            @endcan

            

            @can('salle_access')
            <li class="{{ $request->segment(2) == 'salles' ? 'active' : '' }}">
                <a href="{{ route('admin.salles.index') }}">
                    <i class="fa fa-building-o "></i>
                    <span class="title">Gestion Des Salles</span>
                </a>
            </li>
            @endcan

            @can('demande_access')
            <li class="{{ $request->segment(2) == 'demandes' ? 'active' : '' }}">
                <a href="{{ route('demandes.index') }}">
                    <i class="fa fa-building-o "></i>
                    <span class="title">Gestion Des Demandes</span>
                </a>
            </li>
            @endcan
            
           
            @can('prix_management_access')
                <li class="">
                    <a href="#">
                        <i class="fa fa-university"></i>
                        <span class="title">Gestion Des Prix</span>
                        <span class="fa arrow"></span>
                    </a>
                    <ul class="sub-menu">

                           @can('prix_access')
                            <li class="{{ $request->segment(2) == 'prix' ? 'active active-sub' : '' }}">
                                <a href="{{ route('admin.prix.index') }}">
                                    <i class="fa fa-money "></i>
                                    <span class="title">@lang('Prix')</span>
                                </a>
                            </li>
                        @endcan
                        @can('type_access')
                            <li class="{{ $request->segment(2) == 'type' ? 'active active-sub' : '' }}">
                                <a href="{{ route('admin.type.index') }}">
                                    <i class="fa fa-list-alt"></i>
                                    <span class="title">
                                Type
                            </span>
                                </a>
                            </li>
                        @endcan
                        @can('timing_access')
                            <li class="{{ $request->segment(2) == 'Durée' ? 'active active-sub' : '' }}">
                                <a href="{{ route('admin.timing.index') }}">
                                    <i class="fa fa-clock-o"></i>
                                    <span class="title">
                                Timing
                            </span>
                                </a>
                            </li>
                        @endcan
                    </ul>
                </li>
            @endcan

          <!--    @can('user_management_access')
                <li class="">
                    <a href="#">
                        <i class="fa fa-users"></i>
                        <span class="title">Gestion des utilisateurs</span>
                        <span class="fa arrow"></span>
                    </a>
                    <ul class="sub-menu">

                        @can('role_access')
                            <li class="{{ $request->segment(2) == 'roles' ? 'active active-sub' : '' }}">
                                <a href="{{ route('admin.roles.index') }}">
                                    <i class="fa fa-briefcase"></i>
                                    <span class="title">
                                Roles
                            </span>
                                </a>
                            </li>
                        @endcan -->
                        @can('user_access')
                            <li class="{{ $request->segment(2) == 'users' ? 'active ' : '' }}">
                                <a href="{{ route('admin.users.index') }}">
                                    <i class="fa fa-user"></i>
                                    <span class="title">
                                Utilisateurs
                            </span>
                                </a>
                            </li>
                        @endcan
                    </ul>
                </li>
            @endcan
            
        <!--    <li class="{{ $request->segment(1) == 'change_password' ? 'active' : '' }}">
                <a href="{{ route('auth.change_password') }}">
                    <i class="fa fa-key"></i>
                    <span class="title">Change password</span>
                </a>
            </li>
        -->   
            <li>
                <a href="#logout" onclick="$('#logout').submit();">
                    <i class="fa fa-arrow-left"></i>
                    <span class="title">Déconnexion</span>
                </a>
            </li>
    
        </ul>
        <br/>
        <br/>
        <br/>
        
    </div>
    
</div>
{!! Form::open(['route' => 'auth.logout', 'style' => 'display:none;', 'id' => 'logout']) !!}
<button type="submit">Déconnexion</button>
{!! Form::close() !!}

resources/views/partials/topbar.blade.php
<div class="page-header navbar navbar-fixed-top">
    <div class="page-header-inner">
        <div class="page-header-inner">
            <div class="navbar-header">
                <a href="{{ url('/admin/home') }}"
                   class="navbar-brand">
                    
                </a>
            </div>
            
            <a href="javascript:;"
               class="menu-toggler responsive-toggler"
               data-toggle="collapse"
               data-target=".navbar-collapse">
            </a>

            <div class="top-menu">
                <ul class="nav navbar-nav pull-right">
                    <li class="{{ $request->segment(1) == 'home' ? 'active' : '' }}">
                        <a href="{{ url('/') }}">
                            <i class="fa fa-wrench"></i>
                            <span class="title"></span>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>